Package com.collibra.dgc.workflow.api.bean

# Interface WorkflowBusinessItem

public interface WorkflowBusinessItem
A bean to provide easy access to business item related variables and operations of the running process. Don't use this bean outside of a workflow. The bean will be accessible by using 'item' in your workflow expressions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UUID`
  `getCommunityId()`
  Retrieve the community id of the business item if present.
  `UUID`
  `getDomainId()`
  Retrieve the UUID of the vocabulary of the business item, if possible, otherwise return null.
  `UUID`
  `getId()`
  Retrieve the id of the business item.
  `String`
  `getName()`
  Retrieve the verbalised form the the item.
  `com.collibra.dgc.core.api.model.Resource`
  `getResource()`
  Retrieve the actual `Resource` object of the business item.
  `com.collibra.dgc.core.api.model.ResourceType`
  `getType()`
  Retrieve the `ResourceType` of the business item.
  `String`
  `getTypeName()`
  Get the name of the Type of the business item.
  `String`
  `getUrl()`
  Retrieve the url to be able to consult the business item directly in the application or `null` if none.

- ## Method Details

  - ### getId

    UUID getId()
    Retrieve the id of the business item.
    Returns:
      the id of the business item or `null` if not present

  - ### getType

    com.collibra.dgc.core.api.model.ResourceType getType()
    Retrieve the `ResourceType` of the business item.
    Returns:
      the `ResourceType` of the business item

  - ### getTypeName

    String getTypeName()
    Get the name of the Type of the business item. Only returns a result if the current item is a Domain or Asset. If `null` will be returned.
    Returns:
      The name of the type if possible.

  - ### getName

    String getName()
    Retrieve the verbalised form the the item.
    Returns:
      The string representation of the business item or empty string if none

  - ### getResource

    com.collibra.dgc.core.api.model.Resource getResource()
    Retrieve the actual `Resource` object of the business item. Returns `null` if none.
    Returns:
      The resource object of the business item or `null` if none

  - ### getDomainId

    UUID getDomainId()
    Retrieve the UUID of the vocabulary of the business item, if possible, otherwise return null.
    Returns:
      the id of the vocabulary or `null` if none

  - ### getCommunityId

    UUID getCommunityId()
    Retrieve the community id of the business item if present. It will only return the first parent community in the hierarchy.
    Returns:
      The community of the business item or `null` if none

  - ### getUrl

    String getUrl()
    Retrieve the url to be able to consult the business item directly in the application or `null` if none.
    Returns:
      The url